FeatureSet Class

class NXOpen.CAM.FBM.FeatureSet

Bases: NXOpen.CAM.GeometrySet

Interface for feature set

To create a new instance of this class, use NXOpen.CAM.FBM.FeatureGeometry.CreateFeatureSet()

New in version NX9.0.0.

Properties

Property Description
AngleToleranceEdges Returns or sets the angle tolerance
BoundaryEdges Returns the boundary edges selection collector for a region set
CheckStock Returns or sets the check stock
CustomFeed Returns or sets the flag whether this set has custom feed rate activated
CustomPartOffset Returns or sets the flag whether this set has custom part offset activated
CustomStock Returns or sets the flag whether this set has custom stock activated
CustomTolerance Returns or sets the flag whether this set has custom tolerances activated
DraftAngle Returns or sets the draft angle
DriveStock Returns or sets the drive stock
FeedUnit Returns or sets the feed rate unit
FeedValue Returns or sets the feed rate value
FinalStock Returns or sets the final stock
HoleList Returns the ignore holes builder
IgnoreLoopsStatus Returns or sets the ignore loops status
InitialStock Returns or sets the initial stock
Intol Returns or sets the inner tolerance value
MaterialSide Returns or sets the material side
Outtol Returns or sets the outer tolerance value
PartOffset Returns or sets the part offset value
SafeClearance Returns or sets the safe clearance
ScCollector Returns the sc collector
SeedFace Returns or sets the seed face
Selection Returns the selection containing the geometric entities
Tag Returns the Tag for this object.
TraverseInteriorEdges Returns or sets the traverse interior edges flag
UseTangentEdgeAngles Returns or sets the use tangent edge angle flag

Methods

Method Description
ApplyEdgeSelection Apply Edge Selections
CreateFeature Creates the feature using the specified tags
GetFeature Returns the feature
GetItems Get geometry items
RemoveSelectionIntent Break selection intent, and replace all the rules with single rules.
SetName Set name

Method Detail

CreateFeature

FeatureSet.CreateFeature

Creates the feature using the specified tags

Signature CreateFeature(entities)

Parameters:entities (list of NXOpen.NXObject) – the input entities
Returns:
Return type:NXOpen.CAM.FBM.Feature

New in version NX9.0.0.

License requirements: cam_base (“CAM BASE”)

GetFeature

FeatureSet.GetFeature

Returns the feature

Signature GetFeature()

Returns:
Return type:NXOpen.CAM.FBM.Feature

New in version NX9.0.0.

License requirements: None.